ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

The selected database, 'Symantec_CMDB' is not supported by this upgrade process. Install the following hotfixes on the existing SMP server and then continue with the upgrade process::

book

Article ID: 161079

calendar_today

Updated On:

Products

Management Platform (Formerly known as Notification Server)

Issue/Introduction

Upgrading a database using existing database to 7.5 SP1 give the following error

 

The selected database, 'Symantec_CMDB' is not supported by this upgrade process.  Install the following hotfixes on the existing SMP server and then continue with the upgrade process::

Symantec Mangement Platform 7.5 HF6

Cause

SIM method AltaDBUpgradeValidation has very specific versions of what is installed if upgrading to ITMS 7.5 SP1

Resolution

Create a DWORD key under HKEY_LOCAL_MACHINE\SOFTWARE\Altiris\Aim\ called "IgnorAltaDBUpgradeValidation" and set its value to 1 (means Enable).
If set to one skips the check. If set to 0 does the following:

1. If the database version is less than 7.1 8400 and you have chosen to install 7.5 SP1 then it will fail if the check is enabled.
2. Checks if 7.1.8400 is installed and if it is it checks 7.1 SP2 MP1 is configured. If not then it fails
3. If the database version is 7.5.1670 then it checks the following
   a. If installing platform 7.5 SP1 make sure that HF6 is installed otherwise fail
   b. If installing Altiris Deployment Solution 7.5 SP1 make sure they have Altiris Deployment Solution 7.5 HF6 installed
   c. If installing Altiris Inventory Solution 7.5 SP1 make sure that Altiris Inventory Solution 7.5 Hf5 is installed
   d. If installing Altiris Software management Solution 7.5 SP1 make sure that Altiris Software Management Solution 7.5 HF4 is installed
   e. If installing Altiris Patch Management Solution 7.5 SP1 make sure Altiris Patch Management Solution 7.5 HF3 is installed
   f. If installing Altiris Monitor Pack for Server 7.5 SP1 make sure that Altiris Monitor Pack for Server 7.5 HF3 is installed
   g. If installing Altiris CMDB Solution 7.5 SP1 make sure that Altiris CMDB solution 7.5 HF3 is installed
   h. If installing Altiris Virtual Machine Management 7.5 SP1 make sure that Altiris Virtual Machine Management 7.5 HF3 is installed

 

Applies To

 

ITMS 7.5 SP1

Attachments

AltaUpgradeValidation.png get_app